# $Revision: 1.10 $, $Date: 2002/05/11 18:15:05 $
Summary:	RPLD implements the IBM RIPL protocol
Summary(pl):	RPLD jest implementacja protokou RIPL firmy IBM
Name:		rpld
Version:	1.7
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://gimel.esc.cam.ac.uk/james/rpld/src/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://gimel.esc.cam.ac.uk/james/rpld/
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpld will net-boot IBM style RPL boot ROMs.

%description -l pl
RPLD jest implementacja protokou RIPL firmy IBM.

%prep
%setup  -q

%build
%{__make} depend
%{__make} OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_sysconfdir},/etc/{rc.d/init.d,sysconfig},%{_mandir}/man{5,8}}

install {rpld,ana} $RPM_BUILD_ROOT%{_sbindir}
install rpld.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/rpld.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpld
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rpld
install rpld.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install rpld.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/

gzip -9nf README

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/rpld ]; then
		/etc/rc.d/init.d/rpld stop 1>&2
	fi
	/sbin/chkconfig --del rpld
fi

%post
/sbin/chkconfig --add rpld
if [ -f /var/lock/subsys/rpld ]; then
	/etc/rc.d/init.d/rpld restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/rpld start\" to start RPL daemon."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/rpld.conf
%config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/rpld
%attr(755,root,root) %{_sbindir}/rpld
%attr(755,root,root) %{_sbindir}/ana
%attr(754,root,root) /etc/rc.d/init.d/rpld
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rpld.spec,v $
Revision 1.10  2002/05/11 18:15:05  kloczek
- cosmetics.

Revision 1.9  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/25 12:52:38  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.5  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2001/03/08 09:03:42  kloczek
- addede rc-scripts to Prereq,
- spec adapterized,
- added %description,
- added passing $RPM_OPT_FLAGS to compilation options,
- some cleanups and cosmetics.
